---------------------
PatchSet 5525 
Date: 2002/11/30 13:55:04
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
Latest squid_ldap_group builds on Windows too

Members: 
	helpers/external_acl/ldap_group/squid_ldap_group.c:1.1.6.3->1.1.6.4 
	port/win32/Makefile.am:1.1.2.1->1.1.2.2 
	port/win32/squid.dsw:1.1.2.20->1.1.2.21 
	port/win32/update.cmd:1.1.2.15->1.1.2.16 
	port/win32/LDAP_group/.cvsignore:1.1->1.1.4.1 
	port/win32/LDAP_group/LDAP_group.dsp:1.1->1.1.4.1 
	port/win32/include/autoconf.h:1.1.2.27->1.1.2.28 

Index: squid/helpers/external_acl/ldap_group/squid_ldap_group.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/helpers/external_acl/ldap_group/squid_ldap_group.c,v
retrieving revision 1.1.6.3
retrieving revision 1.1.6.4
diff -u -r1.1.6.3 -r1.1.6.4
--- squid/helpers/external_acl/ldap_group/squid_ldap_group.c	29 Nov 2002 17:47:04 -0000	1.1.6.3
+++ squid/helpers/external_acl/ldap_group/squid_ldap_group.c	30 Nov 2002 14:03:20 -0000	1.1.6.4
@@ -118,9 +118,22 @@
 #include <string.h>
 #include <stdlib.h>
 #include <ctype.h>
+#ifdef _WIN32
+#define snprintf _snprintf
+#include <windows.h>
+#include <winldap.h>
+#define LDAP_OPT_SUCCESS LDAP_SUCCESS
+#undef ldap_start_tls_s
+#if NOLDAP_UNICODE
+#define ldap_start_tls_s(l,s,c) ldap_start_tls_sW(l,NULL,NULL,s,c)
+#else
+#define ldap_start_tls_s(l,s,c) ldap_start_tls_sA(l,NULL,NULL,s,c)
+#endif
+#else
 #include <lber.h>
 #include <ldap_cdefs.h>
 #include <ldap.h>
+#endif
 
 #define PROGRAM_NAME "squid_ldap_group"
 
Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/port/win32/Makefile.am	10 Nov 2002 16:02:12 -0000	1.1.2.1
+++ squid/port/win32/Makefile.am	30 Nov 2002 13:59:08 -0000	1.1.2.2
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.2.1 2002/11/10 16:02:12 serassio Exp $
+# $Id: Makefile.am,v 1.1.2.2 2002/11/30 13:59:08 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -29,6 +29,7 @@
 	include/READDIR.h \
 	include/squid-mswin.h \
 	LDAP_auth/LDAP_auth.dsp \
+	LDAP_group/LDAP_group.dsp \
 	libawin32/libawin32.dsp \
 	libbasic/libbasic.dsp \
 	libdigest/libdigest.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.2.20
retrieving revision 1.1.2.21
diff -u -r1.1.2.20 -r1.1.2.21
--- squid/port/win32/squid.dsw	30 Nov 2002 13:56:36 -0000	1.1.2.20
+++ squid/port/win32/squid.dsw	30 Nov 2002 14:02:20 -0000	1.1.2.21
@@ -191,6 +191,9 @@
     Begin Project Dependency
     Project_Dep_Name icons
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name LDAP_group
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.2.15
retrieving revision 1.1.2.16
diff -u -r1.1.2.15 -r1.1.2.16
--- squid/port/win32/update.cmd	15 Sep 2002 20:04:22 -0000	1.1.2.15
+++ squid/port/win32/update.cmd	30 Nov 2002 13:56:36 -0000	1.1.2.16
@@ -21,6 +21,7 @@
 copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
 copy %0\..\ntlm_win32_auth\%1\ntlm_win32_auth.exe %2\libexec\ntlm_win32_auth.exe
 copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\ldap_auth.exe
+copy %0\..\ldap_group\%1\ldap_group.exe %2\libexec\squid_ldap_group.exe
 copy %0\..\win32_check_group\%1\win32_check_group.exe %2\libexec\win32_check_group.exe
 copy %0\..\cachemgr\%1\cachemgr.exe %2\libexec\cachemgr.cgi
 
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/port/win32/LDAP_group/.cvsignore	Wed Feb 14 01:08:19 2007
@@ -0,0 +1,3 @@
+.cvsignore
+Debug
+Release
--- /dev/null	Wed Feb 14 01:07:22 2007
+++ squid/port/win32/LDAP_group/LDAP_group.dsp	Wed Feb 14 01:08:19 2007
@@ -0,0 +1,102 @@
+# Microsoft Developer Studio Project File - Name="LDAP_group" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=LDAP_group - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "LDAP_group.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "LDAP_group.mak" CFG="LDAP_group - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "LDAP_group - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "LDAP_group - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "LDAP_group - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 ws2_32.lib Wldap32.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "LDAP_group - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /YX /FD /GZ /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 ws2_32.lib Wldap32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "LDAP_group - Win32 Release"
+# Name "LDAP_group - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\external_acl\ldap_group\squid_ldap_group.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
Index: squid/port/win32/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/include/Attic/autoconf.h,v
retrieving revision 1.1.2.27
retrieving revision 1.1.2.28
diff -u -r1.1.2.27 -r1.1.2.28
--- squid/port/win32/include/autoconf.h	23 Nov 2002 10:39:23 -0000	1.1.2.27
+++ squid/port/win32/include/autoconf.h	30 Nov 2002 13:57:07 -0000	1.1.2.28
@@ -22,7 +22,7 @@
  *
  */
 
-/* $Id: autoconf.h,v 1.1.2.27 2002/11/23 10:39:23 serassio Exp $ */
+/* $Id: autoconf.h,v 1.1.2.28 2002/11/30 13:57:07 serassio Exp $ */
 
 /*
  * configure command line used to configure Squid
@@ -907,7 +907,7 @@
 #define STDC_HEADERS 1
 
 /* Version number of package */
-#define VERSION "2.5.STABLE1-CVS"
+#define VERSION "2.5.STABLE1.NT-CVS"
 
 /* Define if your processor stores words with the most significant byte first
    (like Motorola and SPARC, unlike Intel and VAX). */
